can't validate amazon ses

rritz

Member
Hi,
I tried to set up amazon ses following the steps in the video. I created the credentials after assigning policy to the user. When I try to validate the server I get:
  • Cannot send the confirmation email using the data you provided.
  • Here is a transcript of the error message:
  • Failed to authenticate on SMTP server with username "--myusername--" using 2 possible authenticators
I tried adding power user and poweruser and sesfullaccess

but the issue persits
 

VVT

Active Member
Are you sure that you're using the latest version of MW ? If so, it should be asking for "Access Key ID " and "Secret Access Key" for authentication.
 

rritz

Member
How does the web api set up work? Is there some documentation? I'd really prefer api, but there is no option for that in the backend
 

rritz

Member
aha, just saw your answer on my other post. Seems my mailwizz version is outdated. But I just bought it, it's a brand new installation. So what I get to download is obviously not the latest? Must go searching for updates then.
But I can't login to my backend anyway.
 

frm.mwz

Well-Known Member
How does the web api set up work? Is there some documentation? I'd really prefer api, but there is no option for that in the backend
what server/php version are you using?
what does your menu say when you click on 'create new delivery server'? (screenshot)
 

rritz

Member
I can't log in to mw right now, I have to reinstall, as the reset password email doesn't arrive.

Ok, during setup there was one server warning regarding something to do with MIME type

Can I delete the install and reinstall on a different server? Do I need to release the licence from the server?
 

rritz

Member
Ok
what server/php version are you using?
what does your menu say when you click on 'create new delivery server'? (screenshot)
I did a fresh install, I still get the same dropdown

my host is arvixe
Apache Version 2.2.29
PHP Version 5.4.45
MySQL Version 5.5.44-MariaDB-cll-lve
Architecture x86_64
Operating System linux

mailwizz.jpg

mailwizz2.jpg
 

frm.mwz

Well-Known Member
I can't log in to mw right now, I have to reinstall, as the reset password email doesn't arrive.
for next time, you can perhaps reset that in the dbf
Ok, during setup there was one server warning regarding something to do with MIME type
would good to fix all that mailwizz requirements checker comes up with (screen shot?)
Can I delete the install and reinstall on a different server? Do I need to release the licence from the server?
sure, ideally make a backup of the files & dbf, but if there is not much, a fresh install can be the quickest solution to otherwise hard to detect problems
my host is arvixe
is that shared or vps?
PHP Version 5.4.45
can you choose a higher version?
 

rritz

Member
Ok, I will take a look. But somehow, I seem to have created a customer during install and now I get logged in as a customer instead of admin.
I fear my hosting is not working with mailwizz. It's a shared hosting.
Can you point me to a thread with hosting known to work well?
 

rritz

Member
Ok thanks a lot for all your help .. . aha I see in backend it says php 5.2 so I am headed over to my hosting comp to see how to use php 4
 

twisted1919

Administrator
Staff member
@rritz - so i was right :D
Tell your hosting to make sure that the PHP version from the web server is the same version as the one from CLI, this is super important, otherwise things will look fine in the browser but when sending campaign, they won't send.
 

rritz

Member
Hm, I looked into cpanel - select php version and they are all set to php 5.4

why then does mailwiss say php 5.2? I don't understand. Sorry I am no coder at all

what is CLI?
 

twisted1919

Administrator
Staff member
why then does mailwiss say php 5.2?
Because it is 5.2. if it was 5.4 it would show 5.4. Better contact your host.
CLI = command line interface, It is the PHP instance available when PHP is run from cron jobs for example.
 
Top